"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizedAnimation = exports.DEFAULT_DURATION = void 0;
exports.DEFAULT_DURATION = 1000;
/**
 *
 * @returns a NormalizedAnimation from the given AnimationInput
 */
const normalizedAnimation = (animationInput) => {
    if (Array.isArray(animationInput)) {
        return { keyframes: animationInput, options: { duration: exports.DEFAULT_DURATION } };
    }
    const { keyframes, options } = animationInput;
    const normalizedOptions = typeof options === 'number' ? { duration: options } : options;
    return { keyframes, options: normalizedOptions };
};
exports.normalizedAnimation = normalizedAnimation;
