import React from 'react';
import { AnimatedProps, HTMLTags } from "./common";
/**
 * An Animated component that is controlled by the currentAnimation prop
 * The component may use a different HTML tag delegate via the `as` prop
 * May accept a ref to forward to the HTML tag delegate.
 * Note: forwarding a ref returned from {@link hooks.useAnimatedRef} may result in undeterministic behavior
 *
 * @typeParam A the accepted animation names
 * @typeParam T the HTML Tag delegate
 */
declare const ControlledAnimated: <A extends string = string, T extends HTMLTags = "div">(props: AnimatedProps<A, T>) => React.ReactElement<any, any>;
export default ControlledAnimated;
