import { RefObject } from 'react';
/**
 * Hook to capture the hovering state of a ref'd HTMLElement
 *
 * Note: if the ref is pointed at a new element, isHovered will be the last hoverState of the previous element
 * until a mouseOver/Out event happens on the new element
 *
 * @returns [isHovered, elementRef]
 */
declare function useIsHovered<E extends HTMLElement = HTMLElement>(): readonly [boolean | undefined, RefObject<E>];
export default useIsHovered;
